# Uses of Interface
org.eclipse.ui.IEditorPart

Packages that use IEditorPart
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.search.ui.actions
Search actions
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.forms.editor
Support for forms-based multi-page editors.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.operations
Classes that provide the basic workbench UI support for undo and redo of operations.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.quickdiff
Provides interfaces to for the `org.eclipse.ui.editors.quickDiffReferenceProvider` extension point and adds an action to enable quick diff display for an editor.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of IEditorPart in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IEditorPart
Modifier and Type
Method
Description
`boolean`
IDebugEditorPresentation.`addAnnotations(IEditorPart editorPart, IStackFrame frame)`
Positions and adds annotations to the given editor for the specified stack frame and returns whether any annotations were added.
`Annotation`
IInstructionPointerPresentation.`getInstructionPointerAnnotation(IEditorPart editorPart, IStackFrame frame)`
Returns an annotation used for the specified stack frame in the specified editor, or `null` if a default annotation should be used.
`String`
IInstructionPointerPresentation.`getInstructionPointerAnnotationType(IEditorPart editorPart, IStackFrame frame)`
Returns an identifier of a `org.eclipse.ui.editors.annotationTypes` extension used for the specified stack frame in the specified editor, or `null` if a default annotation should be used.
`Image`
IInstructionPointerPresentation.`getInstructionPointerImage(IEditorPart editorPart, IStackFrame frame)`
Returns the instruction pointer image used for the specified stack frame in the specified editor, or `null` if a default image should be used.
`String`
IInstructionPointerPresentation.`getInstructionPointerText(IEditorPart editorPart, IStackFrame frame)`
Returns the text to associate with the instruction pointer annotation used for the specified stack frame in the specified editor, or `null` if a default message should be used.
`IResource`
ILaunchShortcut2.`getLaunchableResource(IEditorPart editorpart)`
Returns an `IResource` that maps to given editor part for launch purposes, or `null` if none.
`ILaunchConfiguration[]`
ILaunchShortcut2.`getLaunchConfigurations(IEditorPart editorpart)`
Returns an array of existing `ILaunchConfiguration`s that could be used to launch the given editor part, an empty array if one could be created but does not exist, or `null` if default resource mappings should be used to derive associated configurations
`void`
ILaunchShortcut.`launch(IEditorPart editor, String mode)`
Locates a launchable entity in the given active editor, and launches an application in the specified mode.
`void`
IDebugEditorPresentation.`removeAnnotations(IEditorPart editorPart, IThread thread)`
Removes any debug related annotations from the given editor.

## Uses of IEditorPart in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type IEditorPart
Modifier and Type
Method
Description
`void`
AddMemoryRenderingActionDelegate.`setActiveEditor(IAction action, IEditorPart targetEditor)`
`void`
RulerBreakpointTypesActionDelegate.`setActiveEditor(IAction callerAction, IEditorPart targetEditor)`
Deprecated.
`void`
RulerRunToLineActionDelegate.`setActiveEditor(IAction callerAction, IEditorPart targetEditor)`
`void`
RulerToggleBreakpointActionDelegate.`setActiveEditor(IAction callerAction, IEditorPart targetEditor)`
`void`
RunToLineActionDelegate.`setActiveEditor(IAction action, IEditorPart targetEditor)`

## Uses of IEditorPart in org.eclipse.debug.ui.sourcelookup

Classes in org.eclipse.debug.ui.sourcelookup that implement IEditorPart
Modifier and Type
Class
Description
`class`
`CommonSourceNotFoundEditor`
Default editor displayed when source is not found.

## Uses of IEditorPart in org.eclipse.search.ui.actions

Constructors in org.eclipse.search.ui.actions with parameters of type IEditorPart
Modifier
Constructor
Description
``
`TextSearchGroup(IEditorPart editor)`
Constructs a TextSearchGroup for adding actions to the context menu of the editor provided.

## Uses of IEditorPart in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return IEditorPart
Modifier and Type
Method
Description
`protected final IEditorPart`
AbstractTextSearchViewPage.`open(IWorkbenchPage page, IFile file, boolean activate)`
Opens an editor on the given file resource.
`protected final IEditorPart`
AbstractTextSearchViewPage.`openAndSelect(IWorkbenchPage page, IFile file, int offset, int length, boolean activate)`
Opens an editor on the given file resource and tries to select the given offset and length.
Methods in org.eclipse.search.ui.text with parameters of type IEditorPart
Modifier and Type
Method
Description
`Match[]`
IEditorMatchAdapter.`computeContainedMatches(AbstractTextSearchResult result, IEditorPart editor)`
Returns all matches that are contained in the element shown in the given editor.
`boolean`
IEditorMatchAdapter.`isShownInEditor(Match match, IEditorPart editor)`
Determines whether a match should be displayed in the given editor.

## Uses of IEditorPart in org.eclipse.ui

Subinterfaces of IEditorPart in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IInPlaceEditor`
Interface for editor parts that represent an in-place style editor.
`interface`
`IReusableEditor`
Interface for reusable editors.
Methods in org.eclipse.ui that return IEditorPart
Modifier and Type
Method
Description
`IEditorPart`
IWorkbenchPage.`findEditor(IEditorInput input)`
Returns the editor with the specified input.
`IEditorPart`
IWorkbenchPage.`getActiveEditor()`
Returns the active editor open in this page.
`IEditorPart[]`
IWorkbenchPage.`getDirtyEditors()`
Returns a list of dirty editors in this page.
`IEditorPart`
IEditorReference.`getEditor(boolean restore)`
Returns the editor referenced by this object.
`protected IEditorPart`
NavigationLocation.`getEditorPart()`
Returns the part that the receiver holds the location for.
`IEditorPart[]`
IWorkbenchPage.`getEditors()`
Deprecated.
Clients are encouraged to use `IWorkbenchPage.getEditorReferences()` instead.
`IEditorPart`
IWorkbenchPage.`openEditor(IEditorInput input, String editorId)`
Opens an editor on the given input.
`IEditorPart`
IWorkbenchPage.`openEditor(IEditorInput input, String editorId, boolean activate)`
Opens an editor on the given input.
`IEditorPart`
IWorkbenchPage.`openEditor(IEditorInput input, String editorId, boolean activate, int matchFlags)`
Opens an editor on the given input.
Methods in org.eclipse.ui with parameters of type IEditorPart
Modifier and Type
Method
Description
`boolean`
IWorkbenchPage.`closeEditor(IEditorPart editor, boolean save)`
Closes the given editor.
`boolean`
IWorkbenchPage.`isEditorPinned(IEditorPart editor)`
Returns `true` if the editor is pinned and should not be reused.
`void`
INavigationHistory.`markLocation(IEditorPart part)`
Mark the current location into the history.
`boolean`
IWorkbenchPage.`saveEditor(IEditorPart editor, boolean confirm)`
Saves the contents of the given editor if dirty.
`void`
IEditorActionBarContributor.`setActiveEditor(IEditorPart targetEditor)`
Sets the active editor for the contributor.
`void`
IEditorActionDelegate.`setActiveEditor(IAction action, IEditorPart targetEditor)`
Sets the active editor for the delegate.
Constructors in org.eclipse.ui with parameters of type IEditorPart
Modifier
Constructor
Description
`protected`
`NavigationLocation(IEditorPart editorPart)`
Constructs a NavigationLocation with its editor part.

## Uses of IEditorPart in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed with type parameters of type IEditorPart
Modifier and Type
Method
Description
`static <S extends IEditorPart>
IValueProperty<S,IEditorInput>`
WorkbenchProperties.`editorInput()`
Returns a property for observing the editor input an editor part.

## Uses of IEditorPart in org.eclipse.ui.editors.text

Classes in org.eclipse.ui.editors.text that implement IEditorPart
Modifier and Type
Class
Description
`class`
`TextEditor`
The standard/default text editor.
Methods in org.eclipse.ui.editors.text with parameters of type IEditorPart
Modifier and Type
Method
Description
`void`
TextEditorActionContributor.`setActiveEditor(IEditorPart part)`

## Uses of IEditorPart in org.eclipse.ui.forms.editor

Subinterfaces of IEditorPart in org.eclipse.ui.forms.editor
Modifier and Type
Interface
Description
`interface`
`IFormPage`
Interface that all GUI pages need to implement in order to be added to FormEditor part.
Classes in org.eclipse.ui.forms.editor that implement IEditorPart
Modifier and Type
Class
Description
`class`
`FormEditor`
This class forms a base of multi-page form editors that typically use one or more pages with forms and one page for raw source of the editor input.
`class`
`FormPage`
A base class that all pages that should be added to FormEditor must subclass.
`class`
`SharedHeaderFormEditor`
A variation of `FormEditor`, this editor has a stable header that does not change when pages are switched.
Methods in org.eclipse.ui.forms.editor that return IEditorPart
Modifier and Type
Method
Description
`IEditorPart`
FormEditor.`getActiveEditor()`
Widens the visibility of the method in the superclass.
Methods in org.eclipse.ui.forms.editor with parameters of type IEditorPart
Modifier and Type
Method
Description
`void`
FormEditor.`addPage(int index, IEditorPart editor, IEditorInput input)`
Adds a complete editor part to the multi-page editor at the specified position.
`int`
FormEditor.`addPage(IEditorPart editor, IEditorInput input)`
Adds a complete editor part to the multi-page editor.

## Uses of IEditorPart in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that return IEditorPart
Modifier and Type
Method
Description
`static IEditorPart`
HandlerUtil.`getActiveEditor(ExecutionEvent event)`
Return the active editor.
`static IEditorPart`
HandlerUtil.`getActiveEditorChecked(ExecutionEvent event)`
Return the active editor.

## Uses of IEditorPart in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide that return IEditorPart
Modifier and Type
Method
Description
`static IEditorPart`
ResourceUtil.`findEditor(IWorkbenchPage page, IFile file)`
Returns the editor in the given page whose input represents the given file, or `null` if there is no such editor.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, URI uri, String editorId, boolean activate)`
Opens an editor on the given IFileStore object.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, boolean activate)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, boolean activate, boolean determineContentType)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, String editorId)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, String editorId, boolean activate)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IMarker marker)`
Opens an editor on the file resource of the given marker.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IMarker marker, boolean activate)`
Opens an editor on the file resource of the given marker.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IEditorInput input, String editorId)`
Opens an editor on the given object.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IEditorInput input, String editorId, boolean activate)`
Opens an editor on the given object.
`static IEditorPart`
IDE.`openEditorOnFileStore(IWorkbenchPage page, IFileStore fileStore)`
Opens an editor on the given IFileStore object.
`static IEditorPart`
IDE.`openInternalEditorOnFileStore(IWorkbenchPage page, IFileStore fileStore)`
Opens an internal editor on the given IFileStore object.
Methods in org.eclipse.ui.ide with parameters of type IEditorPart
Modifier and Type
Method
Description
`static void`
IDE.`gotoMarker(IEditorPart editor, IMarker marker)`
Sets the cursor and selection state for the given editor to reveal the position of the given marker.

## Uses of IEditorPart in org.eclipse.ui.operations

Constructors in org.eclipse.ui.operations with parameters of type IEditorPart
Modifier
Constructor
Description
``
`NonLocalUndoUserApprover(IUndoContext context, IEditorPart part, Object[] affectedObjects, Class<?> preferredComparisonClass)`
Create a NonLocalUndoUserApprover associated with the specified editor and undo context

## Uses of IEditorPart in org.eclipse.ui.part

Classes in org.eclipse.ui.part that implement IEditorPart
Modifier and Type
Class
Description
`class`
`AbstractMultiEditor`
A AbstractMultiEditor is a composite of editors.
`class`
`EditorPart`
Abstract base implementation of all workbench editors.
`class`
`MultiEditor`
A MultiEditor is a composite of editors.
`class`
`MultiPageEditor`
Deprecated, for removal: This API element is subject to removal in a future version.
Use the class `MultiPageEditorPart` instead
`class`
`MultiPageEditorPart`
A multi-page editor is an editor with multiple pages, each of which may contain an editor or an arbitrary SWT control.
Methods in org.eclipse.ui.part that return IEditorPart
Modifier and Type
Method
Description
`final IEditorPart[]`
MultiPageEditorPart.`findEditors(IEditorInput input)`
Find the editors contained in this multi-page editor whose editor input match the provided input.
`final IEditorPart`
AbstractMultiEditor.`getActiveEditor()`
Returns the active inner editor.
`protected IEditorPart`
MultiPageEditorPart.`getActiveEditor()`
Returns the active nested editor if there is one.
`protected IEditorPart`
MultiPageEditorPart.`getEditor(int pageIndex)`
Returns the editor for the given page index.
`IEditorPart`
MultiPageEditorSite.`getEditor()`
Returns the nested editor.
`final IEditorPart[]`
AbstractMultiEditor.`getInnerEditors()`
Returns an array with all inner editors.
Methods in org.eclipse.ui.part with parameters of type IEditorPart
Modifier and Type
Method
Description
`void`
AbstractMultiEditor.`activateEditor(IEditorPart part)`
Activates the given nested editor.
`void`
MultiEditor.`activateEditor(IEditorPart part)`
Activates the given nested editor.
`void`
MultiPageEditorPart.`addPage(int index, IEditorPart editor, IEditorInput input)`
Creates and adds a new page containing the given editor to this multi-page editor.
`int`
MultiPageEditorPart.`addPage(IEditorPart editor, IEditorInput input)`
Creates and adds a new page containing the given editor to this multi-page editor.
`Composite`
MultiEditor.`createInnerPartControl(Composite parent, IEditorPart e)`
Create the control of the inner editor.
`protected IEditorSite`
MultiPageEditorPart.`createSite(IEditorPart editor)`
Creates the site for the given nested editor.
`protected abstract void`
MultiEditor.`drawGradient(IEditorPart innerEditor, MultiEditor.Gradient g)`
Draw the gradient in the title bar.
`protected int`
AbstractMultiEditor.`getIndex(IEditorPart editor)`
Returns the index of the given nested editor.
`void`
EditorActionBarContributor.`setActiveEditor(IEditorPart targetEditor)`
Sets the active editor for the contributor.
`void`
MultiPageEditorActionBarContributor.`setActiveEditor(IEditorPart part)`
`final void`
MultiPageEditorPart.`setActiveEditor(IEditorPart editorPart)`
Set the active page of this multi-page editor to the page that contains the given editor part.
`abstract void`
MultiPageEditorActionBarContributor.`setActivePage(IEditorPart activeEditor)`
Sets the active page of the the multi-page editor to be the given editor.
`final void`
AbstractMultiEditor.`setChildren(IEditorPart[] children)`
Set the inner editors.
`void`
MultiEditor.`updateGradient(IEditorPart editor)`
Updates the gradient in the title bar.
Constructors in org.eclipse.ui.part with parameters of type IEditorPart
Modifier
Constructor
Description
``
`MultiPageEditorSite(MultiPageEditorPart multiPageEditor, IEditorPart editor)`
Creates a site for the given editor nested within the given multi-page editor.

## Uses of IEditorPart in org.eclipse.ui.texteditor

Subinterfaces of IEditorPart in org.eclipse.ui.texteditor
Modifier and Type
Interface
Description
`interface`
`ITextEditor`
Interface to a text editor.
Classes in org.eclipse.ui.texteditor that implement IEditorPart
Modifier and Type
Class
Description
`class`
`AbstractDecoratedTextEditor`
An intermediate editor comprising functionality not present in the leaner `AbstractTextEditor`, but used in many heavy weight (and especially source editing) editors, such as line numbers, change ruler, overview ruler, print margins, current line highlighting, etc.
`class`
`AbstractTextEditor`
Abstract base implementation of a text editor.
`class`
`StatusTextEditor`
Capable of handling input elements that have an associated status with them.
Methods in org.eclipse.ui.texteditor that return IEditorPart
Modifier and Type
Method
Description
`protected final IEditorPart`
BasicTextEditorActionContributor.`getActiveEditorPart()`
Returns the active editor part.
Methods in org.eclipse.ui.texteditor with parameters of type IEditorPart
Modifier and Type
Method
Description
`void`
TextSelectionNavigationLocation.`partSaved(IEditorPart part)`
Hook method which is called when the given editor has been saved.
`void`
AbstractRulerActionDelegate.`setActiveEditor(IAction callerAction, IEditorPart targetEditor)`
`void`
BasicTextEditorActionContributor.`setActiveEditor(IEditorPart part)`
The `BasicTextEditorActionContributor` implementation of this `IEditorActionBarContributor` method installs the global action handler for the given text editor by calling a private helper method.

## Uses of IEditorPart in org.eclipse.ui.texteditor.quickdiff

Methods in org.eclipse.ui.texteditor.quickdiff with parameters of type IEditorPart
Modifier and Type
Method
Description
`void`
QuickDiffToggleAction.`setActiveEditor(IAction action, IEditorPart targetEditor)`

## Uses of IEditorPart in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator with parameters of type IEditorPart
Modifier and Type
Method
Description
`protected void`
ResourceNavigator.`editorActivated(IEditorPart editor)`
Deprecated, for removal: This API element is subject to removal in a future version.
An editor has been activated.